Bug 213010 - graphics/opencsg: Update to version 1.4.2
Summary: graphics/opencsg: Update to version 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-26 18:30 UTC by Pedro F. Giffuni
Modified: 2018-01-21 17:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mr)


Attachments
Upgrade patch (1.15 KB, patch)
2016-09-26 18:30 UTC, Pedro F. Giffuni
no flags Details | Diff
Upgrade to version 1.4.2 (1.15 KB, patch)
2016-12-25 18:28 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2016-09-26 18:30:20 UTC
Created attachment 175186 [details]
Upgrade patch

From the ChangeLog:

11-Sep-2016: OpenCSG 1.4.1 released

On Intel graphics hardware, the new rendering path in the SCS algorithm in OpenCSG 1.4.0 entirely failed to work. This was apparently due to an incompatibility of the fragment program with the fixed function pipeline used at the vertex stage. OpenCSG 1.4.1 implements a workaround: a vertex program is now used instead. I hope that the rendering bugs on Intel graphics hardware are now really a thing of the past.
15-Sep-2014: OpenCSG 1.4.0 released

OpenCSG 1.4.0 contains a bug fix for rendering CSG expressions with more than 255 primitives. For the layered Goldfeather algorithm, this number of primitives could cause an endless loop before. In the case of the SCS algorithm, there were rendering errors with older versions.

For the SCS algorithm, the fix contains a new rendering path: using a fragment program, a kind of alpha test is performed based on all the components (r, g, b, a) of a fragment. This allows, in theory, to distinguish 2^32 - 1 primitives instead of 2^8 - 1 before. This new rendering path should be, in theory, also more stable than the old one, and some rendering problems reported for Intel graphics hardware might be solved with the new version.
11-May-2014: OpenCSG 1.3.3 released

OpenCSG 1.3.3 is a maintenance release, providing minor portability improvements and bug fixes. In particular, OpenCSG should now compile out-of-the-box on Linux x64 systems.
______

While here also pet portlint and add a license: It's GPLv2.
BTW, there is an exception clause for cgal (which I didn't account for).
Comment 1 Pedro F. Giffuni freebsd_committer 2016-12-25 18:28:44 UTC
Created attachment 178263 [details]
Upgrade to version 1.4.2

New minor version
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-16 09:29:44 UTC
Maintainer feedback?
Comment 3 commit-hook freebsd_committer 2018-01-21 16:13:55 UTC
A commit references this bug:

Author: mr
Date: Sun Jan 21 16:13:07 UTC 2018
New revision: 459616
URL: https://svnweb.freebsd.org/changeset/ports/459616

Log:
  Update to 1.4.2

  PR:		213010

Changes:
  head/graphics/opencsg/Makefile
  head/graphics/opencsg/distinfo
Comment 4 Michael Reifenberger freebsd_committer 2018-01-21 17:06:05 UTC
Hi,
done.

Thanks for providing a patch.

Greetings
---
Michael Reifenberger